<?php  
session_start();
$_SESSION['s_inuse'] = 1;
$footer_text = "Copyright 2000-2010 RaidenFTPD team. All Rights Reserved.";

function getFileType($string)
{
    $type = pathinfo($string, PATHINFO_EXTENSION);
	return $type;
}

function isPrivateIP($ip)
{
	$arr = explode(".",$ip);
	if(count($arr) != 4)
		return false;
	if($arr[0] == 10)
		return true;
	if($arr[0] == 192 && $arr[1] == 168)
		return true;
	if($arr[0] == 172 && ($arr[1] >= 16 && $arr[1] <= 31))
		return true;
	return false;
}

function isFilenameSecure($filename)
{
	if(strstr($filename, '..') != false || strstr($filename, ':') != false || strstr($filename, '"') != false || strstr($filename, "'") != false || strstr($filename, "?") != false || strstr($filename, "*") != false)
		return false;
	else
		return true;
}

function csv_explode($delim=',',$str, $enclose='"',$preserve=false)
{
  $resArr = array();
  $n = 0;
  $expEncArr = explode($enclose, $str);
  foreach($expEncArr as $EncItem)
  {
    if($n++%2)
      array_push($resArr, array_pop($resArr) . ($preserve?$enclose:'') . $EncItem.($preserve?$enclose:''));
    else
    {
      $expDelArr = explode($delim, $EncItem);
      array_push($resArr, array_pop($resArr) . array_shift($expDelArr));
      $resArr = array_merge($resArr, $expDelArr);
    }
  }
  return $resArr;
}

function byte_format($input, $dec=2)
{
    $prefix_arr = array(" B", " KB", " MB", " GB", " TB");
	$value = round($input, $dec);
	$i=0;
	while ($value > 1024)
	{
        $value /= 1024;
		$i++;  
    }
	$return_str = round($value, $dec).$prefix_arr[$i];
	return $return_str;
}
function strposOffset($search, $string, $offset)
{
    /*** explode the string ***/
    $arr = explode($search, $string);
    /*** check the search is not out of bounds ***/
    switch( $offset )
    {
        case $offset == 0:
        return false;
        break;
    
        case $offset > max(array_keys($arr)):
        return false;
        break;

        default:
        return strlen(implode($search, array_slice($arr, 0, $offset)));
    }
}
function samepaths($path1, $path2, $list)
{
    $dirpath1 = dirname($path1);
    $dirpath2 = dirname($path2);
    
    $regmask = "#.\/(?i:" . $list . ")#"; 
    
    while(preg_match($regmask, $dirpath1))
    { $dirpath1 = dirname($dirpath1); }

    while(preg_match($regmask, $dirpath2))
    { $dirpath2 = dirname($dirpath2); }
  
     if ($dirpath1 == $dirpath2) {return true;}
     else {return false;}

}
function basepath($path,$list)
{
    $dirpath = dirname($path);
     
    $regmask = "#.\/(?i:" . $list . ")#"; 
    
    while(preg_match($regmask, $dirpath))
    { 
        $dirpath = dirname($dirpath); 
    }
  
     return $dirpath;
}

// ARRAY map REQUIRED FUNCTIONS
function col_0 ($n) { return($n[0]); }
function col_1 ($n) { return($n[1]); }
function col_2 ($n) { return($n[2]); }
function col_3 ($n) { return($n[3]); }
function col_4 ($n) { return($n[4]); }
function col_5 ($n) { return($n[5]); }
function col_6 ($n) { return($n[6]); }
function col_7 ($n) { return($n[7]); }
function col_8 ($n) { return($n[8]); }
function col_9 ($n) { return($n[9]); }
function col_10 ($n) { return($n[10]); }
?>