<?php
 if(isset($_SESSION['s_inuse']) == false)
	die("This page should not be accessed directly");
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>RLA - Loaded</title>
<link href="css/all.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="scripts-java/utils.js"></script>
<script type="text/javascript" src="scripts-java/jquery-ui/jquery-1.2.6.min.js"></script>
<script type="text/javascript" src="scripts-java/jquery-ui/jquery.colorize-2.0.0.js"></script>
<script type="text/javascript" src="scripts-java/jquery-ui/jquery.colorize-2.0.0_ns.js"></script>
</head>
<body>
<div id="tgraphid"></div>
<div class="out_head"><div class="out_head_r"><div class="navb"></div></div></div>
<div class="out_body">
<form name="frm1" method="post">
<div class="info"><div class='logo'></div><h1>RaidenFTPD LOG Analyzer Web Edition</h1></div>
<script type="text/javascript">
top.leftFrame.location.href = "rla_menu.php";
</script>
<?php
	include "config.php";
    
    $curlogname  = "";
    $curlogsize  = "0";
    $curloglines = "0";
    $curlogsdate = "00/00/0000";
    $curlogedate = "00/00/0000";
    $curusers    = array();
    $curgroups   = array();

    if(isset($_SESSION['currentlog']) == true)
    {
        $curlog = $_SESSION['currentlog'];
        $tokens = csv_explode("|",$curlog);
        
        $curlogname  = $tokens[0];
        $curloglines = $tokens[1];
        $curlogsize  = $tokens[2];
        $curlogsdate = $tokens[3];
        $curlogedate = $tokens[4];
    }
    else {
         echo "<script type=\"text/javascript\">window.alert('Unable to load log information.');</script>";
    }
    
    if(isset($_SESSION['currentusers']) == true)
    {
        $curusers = $_SESSION['currentusers'];
    }
    else {
         echo "<script type=\"text/javascript\">window.alert('Unable to load log Users information.');</script>";
    }
    
    if(isset($_SESSION['currentgroups']) == true)
    {
        $curgroups = $_SESSION['currentgroups'];
    }
    else {
         echo "<script type=\"text/javascript\">window.alert('Unable to load log Groups information.');</script>";
    }
    
	//process
    if(isset($_SESSION['logon_user']) == true)
	{   // loaded
    	echo "<h2>Log File loaded.</h2>";
		
        // New info
        echo '<div class="info">';
        echo '<table id="gridInfo" class="gridInfo" border="0" cellspacing="0" cellpadding="0"><thead><tr><td width="200">Configuration Parameter</td><td width="200">Value</td></tr></thead><tbody>';
        echo "<tr><td title='RLA Web Edition Version'>RLA Web Edition</td><td>Ver. $version</td></tr>\n";
        echo "<tr><td title='The configured RaidenFTPD installation Path'>RaidenFTPD installation path</td><td>\"$rdnpath\"</td></tr>\n";
        echo "<tr><td title='The maximum number of results returned'>Max Results</td><td>$maxresults</td></tr>\n";
        echo "<tr><td title='The Top X displayed Top UL and Top DL '>Top Size</td><td>$topsize</td></tr>\n";
        echo '</tbody></table>';   
		echo '<br />';
        
        // log file Info
        echo '<table id="gridFileInfo" class="gridInfo" border="0" cellspacing="0" cellpadding="0"><thead><tr><td width="120">Log file Information</td><td width="280">Value</td></tr></thead><tbody>';
        echo "<tr><td title='Name of the current loaded Log file'>Log file name</td><td>" . $curlogname . "</td></tr>\n";
        echo "<tr><td title='Size of the current loaded Log file'>Log Size</td><td>" . byte_format($curlogsize) . "</td></tr>\n";
        echo "<tr><td title='Number of lines contained in the current loaded Log file'>Log file Lines</td><td>" . $curloglines . "</td></tr>\n";
		echo "<tr><td title='Earliest Timestamp in the current loaded Log file'>Log file Start</td><td>" . $curlogsdate . "</td></tr>\n";
		echo "<tr><td title='Oldest Timestamp in the current loaded Log file'>Log file End</td><td>" . $curlogedate . "</td></tr>\n";
        echo "<tr><td title='Users found in Log file'>Users</td><td>" . implode(', ',$curusers) . "</td></tr>\n";
        echo "<tr><td title='Groups found in Log file'>Groups</td><td>" . implode(', ',$curgroups) . "</td></tr>\n";
        echo '</tbody></table>'; 
        echo '</div>';
        echo "<h2>Please Select a menu item from the menu to proceed.</h2>";
    }
?>
<script type="text/javascript">
// reload left frame after file load
top.leftFrame.location.href = "rla_menu.php";
$('#gridInfo').colorizeNoSelect();
$('#gridFileInfo').colorizeNoSelect();
</script>
</form>
</div>
<div class="out_foot"><div class="out_foot_r"><br />Copyright 2000-2010 RaidenFTPD team. All Rights Reserved.</div></div>
</body>
</html>